> ## Documentation Index
> Fetch the complete documentation index at: https://docs.evolink.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Wan2.6 참조 비디오

> - WAN2.6 (wan2.6-reference-video) 모델은 참조 영상 기반 비디오 생성을 지원합니다
- 참조 영상을 업로드하면 모델이 캐릭터 외형과 음성을 추출하여 새로운 비디오를 생성합니다
- 비동기 처리 모드로, 반환된 작업 ID를 사용하여 [상태 조회](/ko/api-manual/task-management/get-task-detail)
- 생성된 비디오 링크는 24시간 동안 유효하며, 즉시 저장해 주세요
- **과금**: 입력 + 출력 비디오 길이를 기반으로 합산 과금되며, 생성 성공 시에만 과금되고 실패 시에는 과금되지 않습니다



## OpenAPI

````yaml ko/api-manual/video-series/wan2.6/wan2.6-reference-video.json POST /v1/videos/generations
openapi: 3.1.0
info:
  title: wan2.6-reference-video API
  description: >-
    WAN2.6 모델을 사용하여 참조 영상으로 비디오를 생성하며, 업로드된 참조 영상에서 캐릭터 외형과 음성을 추출하여 새로운 비디오를
    생성합니다
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.evolink.ai
    description: |-
      존재 페널티, -2.0에서 2.0 사이의 숫자

      - 양수 값은 텍스트에 나타나는지 여부에 따라 새 토큰에 페널티를 부여합니다
security:
  - bearerAuth: []
paths:
  /v1/videos/generations:
    post:
      tags:
        - 비디오 생성
      summary: wan2.6-reference-video API
      description: >-
        - WAN2.6 (wan2.6-reference-video) 모델은 참조 영상 기반 비디오 생성을 지원합니다

        - 참조 영상을 업로드하면 모델이 캐릭터 외형과 음성을 추출하여 새로운 비디오를 생성합니다

        - 비동기 처리 모드로, 반환된 작업 ID를 사용하여 [상태
        조회](/ko/api-manual/task-management/get-task-detail)

        - 생성된 비디오 링크는 24시간 동안 유효하며, 즉시 저장해 주세요

        - **과금**: 입력 + 출력 비디오 길이를 기반으로 합산 과금되며, 생성 성공 시에만 과금되고 실패 시에는 과금되지 않습니다
      operationId: createWan26ReferenceVideoGeneration
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Wan26ReferenceVideoRequest'
            examples:
              reference_video:
                summary: 참조 영상으로 비디오 생성
                value:
                  model: wan2.6-reference-video
                  prompt: A person dancing
                  video_urls:
                    - >-
                      https://help-static-aliyun-doc.aliyuncs.com/file-manage-files/xxx.mp4
      responses:
        '200':
          description: 비디오 작업이 성공적으로 생성되었습니다
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VideoGenerationResponse'
        '400':
          description: 요청 매개변수가 잘못되었습니다
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: invalid_request
                  message: Invalid request parameters
                  type: invalid_request_error
        '401':
          description: 인증되지 않았거나 토큰이 유효하지 않거나 만료되었습니다
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: unauthorized
                  message: Invalid or expired token
                  type: authentication_error
        '402':
          description: 할당량이 부족합니다. 충전이 필요합니다
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: insufficient_quota
                  message: Insufficient quota. Please top up your account.
                  type: insufficient_quota
        '403':
          description: 접근이 거부되었습니다
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: model_access_denied
                  message: 'Token does not have access to model: wan2.6-reference-video'
                  type: invalid_request_error
        '429':
          description: 요청 한도를 초과했습니다
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: rate_limit_exceeded
                  message: Too many requests, please try again later
                  type: rate_limit_error
        '500':
          description: 서버 내부 오류
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: internal_error
                  message: Internal server error
                  type: api_error
components:
  schemas:
    Wan26ReferenceVideoRequest:
      type: object
      required:
        - model
        - prompt
        - video_urls
      properties:
        model:
          type: string
          description: 모델 이름
          enum:
            - wan2.6-reference-video
          default: wan2.6-reference-video
          example: wan2.6-reference-video
        prompt:
          type: string
          description: 생성하려는 영상을 설명하는 프롬프트, 1500자로 제한
          example: A person dancing
          maxLength: 1500
        video_urls:
          type: array
          items:
            type: string
            format: uri
          description: >-
            참조 영상 파일 URL 배열. 참조 영상에서 캐릭터 외형과 음성을 추출하여 새로운 비디오를 생성하는 데 사용됩니다.


            **URL 요구사항:**

            - HTTP 또는 HTTPS 프로토콜 지원

            - 로컬 파일은 [파일 업로드](/ko/api-manual/file-series/upload-base64)를 통해 임시
            URL을 얻을 수 있습니다


            **배열 제한:**

            - 최대 3개 영상


            **영상 요구사항:**

            - 형식: mp4, mov

            - 길이: 2~30초

            - 파일 크기: 단일 영상 100MB 이하


            **입력 영상 과금 규칙:**

            - 각 참조 영상은 잘라서 합산되며, 총 입력 과금 길이는 `5`초로 제한됩니다

            - 영상 1개: `min(video duration, 5s)`

            - 영상 2개: `min(video1 duration, 2.5s) + min(video2 duration, 2.5s)`

            - 영상 3개: `min(video1 duration, 1.65s) + min(video2 duration, 1.65s)
            + min(video3 duration, 1.65s)`

            - `1080p` 화질은 더 높은 가격이 적용됩니다
          maxItems: 3
          example:
            - >-
              https://help-static-aliyun-doc.aliyuncs.com/file-manage-files/xxx.mp4
        aspect_ratio:
          type: string
          description: |-
            비디오 화면 비율, 기본값은 `16:9`

            **옵션:**
            - `720p`: `16:9` (가로), `9:16` (세로), `1:1` (정사각형), `4:3`, `3:4` 지원
            - `1080p`: `16:9` (가로), `9:16` (세로), `1:1` (정사각형), `4:3`, `3:4` 지원
          example: '16:9'
        quality:
          type: string
          description: |-
            비디오 화질, 기본값은 `720p`

            **옵션:**
            - `720p`: 표준 화질, 표준 가격, 기본값
            - `1080p`: 고화질, 더 높은 가격

            **참고:** 화질 수준에 따라 지원되는 화면 비율이 다릅니다. `aspect_ratio` 매개변수를 참조하세요
          example: 720p
        duration:
          type: integer
          description: |-
            생성된 비디오의 길이를 지정합니다(초)

            **참고:**
            - `2~10`초 사이의 임의의 정수 값 지원
            - 각 요청은 `duration` 값에 따라 사전 청구되며, 실제 청구는 생성된 비디오 길이를 기준으로 합니다
          example: 5
          minimum: 2
          maximum: 10
        model_params:
          type: object
          description: 모델 매개변수 구성
          properties:
            shot_type:
              type: string
              description: >-
                생성되는 비디오의 샷 유형을 지정합니다. 즉, 비디오가 하나의 연속 샷으로 구성되는지 또는 여러 전환 샷으로
                구성되는지를 결정합니다


                **매개변수 우선순위:**

                - `shot_type` > `prompt`

                - 예를 들어, `shot_type`이 `single`로 설정된 경우, `prompt`에 `generate
                multi-shot video`가 포함되어 있더라도 모델은 단일 샷 비디오를 출력합니다


                **옵션:**

                - `single`: 기본값, 단일 샷 비디오 출력

                - `multi`: 멀티 샷 비디오 출력


                **참고:**

                - 비디오의 내러티브 구조를 엄격하게 제어하려는 경우 이 매개변수를 사용하세요 (예: 제품 쇼케이스에는 단일 샷,
                단편 스토리에는 멀티 샷)
              enum:
                - single
                - multi
              example: single
        callback_url:
          type: string
          description: >-
            작업 완료 시 HTTPS 콜백 URL


            **콜백 타이밍:**

            - 작업이 완료, 실패 또는 취소되었을 때 트리거됨

            - 과금 확인 후 전송됨


            **보안 제한:**

            - HTTPS 프로토콜만 지원됩니다

            - 내부 IP 주소로의 콜백은 금지됩니다 (127.0.0.1, 10.x.x.x, 172.16-31.x.x,
            192.168.x.x 등)

            - URL 길이는 `2048`자를 초과할 수 없습니다


            **콜백 메커니즘:**

            - 타임아웃: `10`초

            - 실패 후 최대 `3`회 재시도 (실패 후 `1`/`2`/`4`초에 재시도)

            - 콜백 응답 형식은 작업 조회 API 응답과 동일합니다

            - 2xx 상태 코드는 성공으로 간주되며, 기타 상태 코드는 재시도를 트리거합니다
          format: uri
          example: https://your-domain.com/webhooks/video-task-completed
    VideoGenerationResponse:
      type: object
      properties:
        created:
          type: integer
          description: 작업 생성 타임스탬프
          example: 1757169743
        id:
          type: string
          description: 작업 ID
          example: task-unified-1757169743-7cvnl5zw
        model:
          type: string
          description: 실제 사용된 모델 이름
          example: wan2.6-reference-video
        object:
          type: string
          enum:
            - video.generation.task
          description: 작업 유형
        progress:
          type: integer
          description: 작업 진행률 (0-100)
          minimum: 0
          maximum: 100
          example: 0
        status:
          type: string
          description: 작업 상태
          enum:
            - pending
            - processing
            - completed
            - failed
          example: pending
        task_info:
          $ref: '#/components/schemas/VideoTaskInfo'
          description: 비디오 작업 세부 정보
        type:
          type: string
          enum:
            - text
            - image
            - audio
            - video
          description: 작업 출력 유형
          example: video
        usage:
          $ref: '#/components/schemas/Usage'
          description: 사용량 및 과금 정보
    ErrorResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
              description: 오류 코드 식별자
            message:
              type: string
              description: 오류 설명
            type:
              type: string
              description: 오류 유형
    VideoTaskInfo:
      type: object
      properties:
        can_cancel:
          type: boolean
          description: 작업 취소 가능 여부
          example: true
        estimated_time:
          type: integer
          description: 예상 완료 시간 (초)
          minimum: 0
          example: 120
    Usage:
      type: object
      description: 사용량 및 과금 정보
      properties:
        billing_rule:
          type: string
          description: 과금 규칙
          enum:
            - per_call
            - per_token
            - per_second
          example: per_call
        credits_reserved:
          type: number
          description: 예상 크레딧 소비
          minimum: 0
          example: 5
        user_group:
          type: string
          description: 사용자 그룹 카테고리
          enum:
            - default
            - vip
          example: default
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: |-
        ## 모든 API는 Bearer Token 인증이 필요합니다 ##

        **API Key 받기:**

        [API Key 관리 페이지](https://evolink.ai/dashboard/keys)를 방문하여 API Key를 받으세요

        **요청 헤더에 추가:**
        ```
        Authorization: Bearer YOUR_API_KEY
        ```

````